> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-mcp-bridge-private-server.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> List returns the tool bindings for a single toolset (access profile) —
 i.e. which MCP tools belong to the toolset — paginated.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/apps/{app_id}/connectors/{connector_id}/mcp_toolsets/{access_profile_id}/tool_bindings
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/apps/{app_id}/connectors/{connector_id}/mcp_toolsets/{access_profile_id}/tool_bindings:
    get:
      tags:
        - MCP Toolsets
      summary: List
      description: |-
        List returns the tool bindings for a single toolset (access profile) —
         i.e. which MCP tools belong to the toolset — paginated.
      operationId: c1.api.ai_governance.v1.MCPAccessProfileToolBindingService.List
      parameters:
        - in: path
          name: app_id
          required: true
          schema:
            description: App identifier.
            type: string
        - in: path
          name: connector_id
          required: true
          schema:
            description: Connector identifier.
            type: string
        - in: path
          name: access_profile_id
          required: true
          schema:
            description: Access profile identifier.
            type: string
        - in: query
          name: page_size
          schema:
            description: Page size (max 100).
            format: int32
            type: integer
        - in: query
          name: page_token
          schema:
            description: Page token for pagination.
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.ai_governance.v1.MCPAccessProfileToolBindingServiceListResponse
          description: >-
            MCPAccessProfileToolBindingServiceListResponse returns tool
            bindings.
      x-codeSamples:
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.mcpAccessProfileToolBinding.list({
                appId: "<id>",
                connectorId: "<id>",
                accessProfileId: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.ai_governance.v1.MCPAccessProfileToolBindingServiceListResponse:
      description: MCPAccessProfileToolBindingServiceListResponse returns tool bindings.
      properties:
        bindings:
          description: List of tool bindings.
          items:
            $ref: >-
              #/components/schemas/c1.api.ai_governance.v1.MCPAccessProfileToolBinding
          type:
            - array
            - 'null'
        nextPageToken:
          description: Token for next page.
          type:
            - string
            - 'null'
      title: Mcp Access Profile Tool Binding Service List Response
      type: object
      x-speakeasy-name-override: MCPAccessProfileToolBindingServiceListResponse
    c1.api.ai_governance.v1.MCPAccessProfileToolBinding:
      description: >-
        MCPAccessProfileToolBinding represents a binding between an access
        profile and a tool.
      properties:
        accessProfileId:
          description: Access profile identifier.
          type:
            - string
            - 'null'
        appId:
          description: App identifier.
          type:
            - string
            - 'null'
        connectorId:
          description: Connector identifier.
          type:
            - string
            - 'null'
        createdAt:
          format: date-time
          type:
            - string
            - 'null'
        deletedAt:
          format: date-time
          type:
            - string
            - 'null'
        mcpToolId:
          description: MCP tool identifier.
          type:
            - string
            - 'null'
        updatedAt:
          format: date-time
          type:
            - string
            - 'null'
      title: Mcp Access Profile Tool Binding
      type: object
      x-speakeasy-name-override: MCPAccessProfileToolBinding
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````